net.corda.core.contracts

## Class ScheduledStateRef

- net.corda.core.contracts.ScheduledStateRef

- All Implemented Interfaces:
    Scheduled

      public class ScheduledStateRef
      implements Scheduled

  Represents a contract state (unconsumed output) of type `interface LinearState` and a point in time that a lifecycle event is expected to take place for that contract state.

  This is effectively the input to a scheduler, which wakes up at that point in time and asks the contract state what lifecycle processing needs to take place. e.g. a fixing or a late payment etc.

  See Also:
    `interface LinearState`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduledStateRef(StateRef ref, java.time.Instant scheduledAt)` Represents a contract state (unconsumed output) of type `interface LinearState` and a point in time that a lifecycle event is expected to take place for that contract state.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateRef` | `component1()`
    `java.time.Instant` | `component2()`
    `ScheduledStateRef` | `copy(StateRef ref, java.time.Instant scheduledAt)` Represents a contract state (unconsumed output) of type `interface LinearState` and a point in time that a lifecycle event is expected to take place for that contract state.
    `boolean` | `equals(java.lang.Object p)`
    `StateRef` | `getRef()`
    `java.time.Instant` | `getScheduledAt()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.core.contracts.Scheduled

      `getScheduledAt`

- - ### Constructor Detail

    - #### ScheduledStateRef

          public ScheduledStateRef(StateRef ref,
                                   java.time.Instant scheduledAt)

      Represents a contract state (unconsumed output) of type `interface LinearState` and a point in time that a lifecycle event is expected to take place for that contract state.

      This is effectively the input to a scheduler, which wakes up at that point in time and asks the contract state what lifecycle processing needs to take place. e.g. a fixing or a late payment etc.

      See Also:
        `interface LinearState`

  - ### Method Detail

    - #### getRef

          public StateRef getRef()

    - #### getScheduledAt

          public java.time.Instant getScheduledAt()

    - #### component1

          public StateRef component1()

    - #### component2

          public java.time.Instant component2()

    - #### copy

          public ScheduledStateRef copy(StateRef ref,
                                        java.time.Instant scheduledAt)

      Represents a contract state (unconsumed output) of type `interface LinearState` and a point in time that a lifecycle event is expected to take place for that contract state.

      This is effectively the input to a scheduler, which wakes up at that point in time and asks the contract state what lifecycle processing needs to take place. e.g. a fixing or a late payment etc.

      See Also:
        `interface LinearState`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)